### Constructor

# Dex Future new_for_object

#### Declaration [src]

    DexFuture*
    dex_future_new_for_object (
      GObject* value
    )

#### Description [src]

Creates a new `DexFuture` that is resolved with `value`.

#### Parameters

`value`

  Type: `GObject`

  The value.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.